librime: rime::ConcreteEngine Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::ConcreteEngine Class Reference
Inheritance diagram for rime::ConcreteEngine:
[legend]
Collaboration diagram for rime::ConcreteEngine:
[legend]

## Public Member Functions
| ConcreteEngine ()
virtual | ~ConcreteEngine ()
virtual bool | ProcessKey (const KeyEvent &key_event)
virtual void | ApplySchema (Schema *schema)
virtual void | CommitText (string text)
virtual void | Compose (Context *ctx)
Public Member Functions inherited from rime::Engine
virtual | ~Engine ()
Schema * | schema () const
Context * | context () const
CommitSink & | sink ()
Engine * | active_engine ()
void | set_active_engine (Engine *engine=nullptr)
Public Member Functions inherited from rime::Messenger
MessageSink & | message_sink ()

## Protected Member Functions
void | InitializeComponents ()
void | InitializeOptions ()
void | CalculateSegmentation (Segmentation *segments)
void | TranslateSegments (Segmentation *segments)
void | FormatText (string *text)
void | OnCommit (Context *ctx)
void | OnSelect (Context *ctx)
void | OnContextUpdate (Context *ctx)
void | OnOptionUpdate (Context *ctx, const string &option)
void | OnPropertyUpdate (Context *ctx, const string &property)
Protected Member Functions inherited from rime::Engine
| Engine ()

## Protected Attributes
vector< of< Processor > > | processors_
vector< of< Segmentor > > | segmentors_
vector< of< Translator > > | translators_
vector< of< Filter > > | filters_
vector< of< Formatter > > | formatters_
vector< of< Processor > > | post_processors_
an< Switcher > | switcher_
Protected Attributes inherited from rime::Engine
the< Schema > | schema_
the< Context > | context_
CommitSink | sink_
Engine * | active_engine_ = nullptr
Protected Attributes inherited from rime::Messenger
MessageSink | message_sink_

## Additional Inherited Members
Public Types inherited from rime::Engine
using | CommitSink = signal<void(const string& commit_text)>
Public Types inherited from rime::Messenger
using | MessageSink
Static Public Member Functions inherited from rime::Engine
static RIME_DLL Engine * | Create ()

## Constructor & Destructor Documentation

## ◆ ConcreteEngine()

rime::ConcreteEngine::ConcreteEngine | ( |  | ) |

## ◆ ~ConcreteEngine()

rime::ConcreteEngine::~ConcreteEngine | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ ApplySchema()

void rime::ConcreteEngine::ApplySchema | ( | Schema * | schema | ) |
| virtual

Reimplemented from rime::Engine.

## ◆ CalculateSegmentation()

void rime::ConcreteEngine::CalculateSegmentation | ( | Segmentation * | segments | ) |
| protected

## ◆ CommitText()

void rime::ConcreteEngine::CommitText | ( | string | text | ) |
| virtual

Reimplemented from rime::Engine.

## ◆ Compose()

void rime::ConcreteEngine::Compose | ( | Context * | ctx | ) |
| virtual

Reimplemented from rime::Engine.

## ◆ FormatText()

void rime::ConcreteEngine::FormatText | ( | string * | text | ) |
| protected

## ◆ InitializeComponents()

void rime::ConcreteEngine::InitializeComponents | ( |  | ) |
| protected

## ◆ InitializeOptions()

void rime::ConcreteEngine::InitializeOptions | ( |  | ) |
| protected

## ◆ OnCommit()

void rime::ConcreteEngine::OnCommit | ( | Context * | ctx | ) |
| protected

## ◆ OnContextUpdate()

void rime::ConcreteEngine::OnContextUpdate | ( | Context * | ctx | ) |
| protected

## ◆ OnOptionUpdate()

void rime::ConcreteEngine::OnOptionUpdate | ( | Context * | ctx,
|  | const string & | option )
| protected

## ◆ OnPropertyUpdate()

void rime::ConcreteEngine::OnPropertyUpdate | ( | Context * | ctx,
|  | const string & | property )
| protected

## ◆ OnSelect()

void rime::ConcreteEngine::OnSelect | ( | Context * | ctx | ) |
| protected

## ◆ ProcessKey()

bool rime::ConcreteEngine::ProcessKey | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Engine.

## ◆ TranslateSegments()

void rime::ConcreteEngine::TranslateSegments | ( | Segmentation * | segments | ) |
| protected

## Member Data Documentation

## ◆ filters_

vector<of<Filter> > rime::ConcreteEngine::filters_
| protected

## ◆ formatters_

vector<of<Formatter> > rime::ConcreteEngine::formatters_
| protected

## ◆ post_processors_

vector<of<Processor> > rime::ConcreteEngine::post_processors_
| protected

## ◆ processors_

vector<of<Processor> > rime::ConcreteEngine::processors_
| protected

## ◆ segmentors_

vector<of<Segmentor> > rime::ConcreteEngine::segmentors_
| protected

## ◆ switcher_

an<Switcher> rime::ConcreteEngine::switcher_
| protected

## ◆ translators_

vector<of<Translator> > rime::ConcreteEngine::translators_
| protected

The documentation for this class was generated from the following file:

- engine.cc